liblog-log4perl-perl (1.54-1) unstable; urgency=medium

  * Import upstream version 1.54.
  * Refresh 0001-topic-man-fix-spelling-errors-in-man-pages.patch
    (offset).
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.1.

 -- gregor herrmann <gregoa@debian.org>  Mon, 15 Feb 2021 00:27:33 +0100

liblog-log4perl-perl (1.53-1) unstable; urgency=medium

  * Import upstream version 1.53.
  * Refresh 0001-topic-man-fix-spelling-errors-in-man-pages.patch
    (offset).

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Sep 2020 17:14:54 +0200

liblog-log4perl-perl (1.52-1) unstable; urgency=medium

  * Import upstream version 1.52.
  * Refresh 0001-topic-man-fix-spelling-errors-in-man-pages.patch
    (offset).
  * Refresh 0004-topic-man-fix-Fixed-whatis-info-for-man-page.patch
    (whitespace).
  * Drop outdated debian/README.debian.

 -- gregor herrmann <gregoa@debian.org>  Tue, 08 Sep 2020 19:07:22 +0200

liblog-log4perl-perl (1.50-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Drop git-debcherry framework as per decision of the pkg-perl BoF at
    DebConf17. Unapply patches, update patch headers, remove git notes,
    remove debian/gbp.conf.

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Remove debian/.git-dpm file.
    This package hasn't used git-dpm since 2014.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.40-1.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Fix day-of-week for changelog entry 1.16-1.

  [ gregor herrmann ]
  * Import upstream version 1.50.
  * Update upstream contact.
  * Refresh 0001-topic-man-fix-spelling-errors-in-man-pages.patch
    (offset).
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.
  * Fix whitespace in long description.
  * Add more fixes to 0002-More-spelling-fixes-in-the-POD.patch.
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Wed, 22 Jul 2020 19:18:04 +0200

liblog-log4perl-perl (1.49-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.49.
    Fixes "Warnings with Perl 5.24 and newer when "syswrite" and "utf8"
    are used together" (Closes: #855894)
  * Add debian/gbp.conf to tell gbp import-orig to merge the upstream
    branch (instead of replacing it). This is necessary because we have
    changes applied (git-dpm, git-debcherry).
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Tue, 01 Aug 2017 16:39:59 -0400

liblog-log4perl-perl (1.48-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.48
  * Update years of upstream copyright.
  * Refresh debian/patches with git-debcherry.

 -- gregor herrmann <gregoa@debian.org>  Tue, 27 Dec 2016 01:20:02 +0100

liblog-log4perl-perl (1.47-2) unstable; urgency=medium

  * Team upload.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.
  * Semaphore issue fixed in Synchronized (cherry-picked from upstream Git).
    (Closes: #826322)

 -- gregor herrmann <gregoa@debian.org>  Fri, 10 Jun 2016 22:04:17 +0200

liblog-log4perl-perl (1.47-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Import upstream version 1.47.
  * Refresh exported patches with git-debcherry.
  * More spelling fixes in the POD.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Fri, 29 Apr 2016 17:55:38 +0200

liblog-log4perl-perl (1.46-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata.
  * Import upstream version 1.46.
  * Don't install README anymore.
    (Text version of the POD.)
  * Update source location in debian/copyright.
  * Mark package as autopkgtest-able.
  * Add more packages to Build-Depends-Indep and Suggests.
    Thanks to autopkgtest.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Fri, 04 Dec 2015 20:09:10 +0100

liblog-log4perl-perl (1.44-1) unstable; urgency=medium

  * Team upload

  [ Dominique Dumont ]
  *  Take over for the Debian Perl Group on maintainer's request
    (https://lists.debian.org/debian-perl/2014/04/msg00009.html)
  * debian/control: Added: Vcs-Git field (source stanza); Vcs-Browser
    field (source stanza). Changed: Homepage field changed to
    metacpan.org URL; Maintainer set to Debian Perl Group <pkg-perl-
    maintainers@lists.alioth.debian.org> (was: Manoj Srivastava
    <srivasta@debian.org>); Manoj Srivastava <srivasta@debian.org> moved
    to Uploaders.
  * debian/watch: use metacpan-based URL.

  [ Damyan Ivanov ]
  * Imported Upstream version 1.44

 -- Damyan Ivanov <dmn@debian.org>  Thu, 22 May 2014 23:22:32 +0300

liblog-log4perl-perl (1.43-1) unstable; urgency=low

  * New upstream release
   +    (ms) Added %m{indent} to indent multi-line messages according to the
             PatternLayout (inspired by Wolfgang Pecho)
   +    (ms) [rt.cpan.org #84818] Deven T. Corzine suggested adding
             a conditional use Win32 on Win32 platform to fix a
             chicken-and-egg problem with the resurrector.
   +    (ms) Brian Wightman fixed Win32 log file cleanup in test suite
             https://github.com/mschilli/log4perl/pull/39. New FAQ
             entry on Win32 log file cleanup.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 04 Apr 2014 23:32:24 -0700

liblog-log4perl-perl (1.41-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable
    - Fix "defined(@array) is deprecated" warnings.
      (Closes: #721998, #722276, #722949)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 02 Oct 2013 17:54:41 +0200

liblog-log4perl-perl (1.41-1) experimental; urgency=low

  * New upstream release
  * Bug fix: "new upstream version available", thanks to Jonas Genannt
    (Closes: #652033).  Fixed in this version
  * Bug fix: "Mandatory parameters &#39;level&#39;, &#39;message&#39;
    missing in call to Log::Dispatch::Output::log", thanks to Alexander
    Wirt (Closes: #688518). Fixed in this version

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 28 Apr 2013 03:05:02 -0700

liblog-log4perl-perl (1.29-1) unstable; urgency=low

  * New upstream release
   +    (ms) Added documentation on how to use Log4perl's :easy macros
             with Catalyst in Log::Log4perl::Catalyst.
   +    (ms) wrapper_register() now deals with caller_depth automatically.
             Backwards compatibility with old wrapper classes using
             caller_depth directly is provided. Documentation has been
             updated.
   +    (ms) Felix Antonius Wilhelm Ostmann reported Resurrector.pm
             crashes, fixed as suggested by setting the %INC value to
             the module path.
   +    (ms) Another caller_depth fix in Log::Log4perl::Catalyst.
   +    (ms) Fixed logdie() caller_depth bug reported by Rob Retter.
   +    (ms) [RT 56145] Saving errstr in DBI appender to survive ping()
   +    (ms) Added INTERNAL_DEBUG env variable to test suite triggering
             all _INTERNAL_DEBUG statements to be printed for better
             error diagnosis on misbehaving systems.


 -- Manoj Srivastava <srivasta@debian.org>  Wed, 21 Jul 2010 00:39:21 -0700

liblog-log4perl-perl (1.28-1) unstable; urgency=low

  * New upstream release

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 06 Apr 2010 01:00:06 -0700

liblog-log4perl-perl (1.26-1) unstable; urgency=low

  * New upstream release
    +   (ms) [RT 50495] Perl code in the config file is now evaluated/
             compiled after the configuration parser has done its work,
             opening up Perl subroutines to all configuration parsers, not
             just PropertyConfigurator. Configuration subs for cspecs,
             filter, warp_message and appender triggers are sheltered.
             The previous, flawed implementation surfaced while using
             a 'trigger' category, reported by Olivier Bilodeau.
    +   (ms) [RT 50090] Added non-portable linebreaks to PatternLayout
             (requested by Zdeněk Juran).
    +   (ms) [RT 50094] Docfix for PatternLayout in main manpage (spotted
             by Peter Rabbitson).
    +   (ms) [RT 28679] Added exists() to "Threshold" keyword uppercase
             check.
    +   (ms) Took out Class::Prototyped testcase after it got all weird
             and introduced backward-incompatible changes.


 -- Manoj Srivastava <srivasta@debian.org>  Mon, 30 Nov 2009 01:48:50 -0600

liblog-log4perl-perl (1.25-2) unstable; urgency=low

  * [bdfb9e8]: [topic--man-fix]: Fixed whatis info for man page

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 31 Oct 2009 01:44:58 -0500

liblog-log4perl-perl (1.25-1) unstable; urgency=low

  * New upstream release
    + (ms) Appender::File is now closing (or sysclosing) the file
           on file_close() instead of just undef'ing the handle.
    + (ms) Added l4p-tmpl helper script to help whipping up a new
           log4perl configuration file.
    + (ms) Fixed uninitialized warning on XML configuration files,
           reported by jbkilian on the sourceforge mailing list.
    + (ms) Applied patch [RT 43426] by AFF <aff@cpan.org> to have
           appender_thresholds_adjust return number of appenders changed.
    + (ms) [RT 34400] New :nostrict target which allows redefining a
           category within a Log4perl configuration file without error
           or even a warning.
    + (ms) [RT 34401] Applied patch by Jae Gangemi, who fixed
           code references in @INC on Win32 systems.
    + (ms) [RT 32259] Patternlayout now supports %R, which returns the
           number of milliseconds elapsed from last logging event to
           the current logging event (thanks to Emmanuel Rodriguez for
           the patch).
    + (ms) [RT 30899] Color configuration and attribute support
           added to ScreenColoredLevels appender by Jason Kohles.
    + (ms) [RT 28987] If UNIVERSAL is available, appender existence is
           now verified by checking can() on the appender's new()
           method (applied modified patch by Gabriel Berriz).


 -- Manoj Srivastava <srivasta@debian.org>  Mon, 05 Oct 2009 02:50:23 -0500

liblog-log4perl-perl (1.24-3) unstable; urgency=low

  * [b1a3917]: [liblog-log4perl-perl]: PREFIX is no longer mutable, use
    DESTDIR. Preemptive bug fix.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 13 Sep 2009 18:33:36 -0500

liblog-log4perl-perl (1.24-2) unstable; urgency=low

  * [2745cbb]: [topic--debian]: Fix Wrong path for interpreter Mostly
    tests and examples.
    Bug fix: "Wrong path for interpreter in examples", thanks to Dario
    Minnucci \(midget\)                              (Closes: #544536).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 03 Sep 2009 23:36:40 -0500

liblog-log4perl-perl (1.24-1) unstable; urgency=low

  * New upstream version.
    +   (ms) Fixed bug with Log::Log4perl::Util::tmpfile_name which
             surfaced on VMS, reported by Ben Humphreys.
    +   (ms) Fixed system-wide threshold to no longer lower appender
             thresholds. Bug reported by Jean-Denis Muys.
    +   (ms) Added benchmark to determine impact of eval-free handlers
    +   (ms) Merged with eval_free branch. Now there are no more
             eval("") statements left in the code, making it much easier
             to debug. Performance on init() is about the same, performance
             on init_and_watch() (noops and logged statements alike) is
             25% slower but still in the range of 400,000/sec on my
             1.80Ghz CPU.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 Aug 2009 13:26:54 -0500

liblog-log4perl-perl (1.23-1) unstable; urgency=low

  * New upstream release
    +   (ms) DBI-1.608 removed a DBD::File 'feature' that allowed leaving
             out parameters in a bound execute(). This caused the test
             suite to fail. Fixed the test cases to pass the correct
             number of parameters every time.
    +   (ms) Better error message in the DBI appender on bad SQL, missing
             bind parameters, or other execute() errors.
    +   (ms) Made DBI test suite more robust against preexisting conditions
    +   (ms) Added force_next_check() for init_and_watch(), cleaned up
             Config::Watcher code.
    +   (ms) Fixed test suite to run on Strawberry Perl on Win32 (reported
             by kmx on https://rt.cpan.org/Ticket/Display.html?id=45983)
    +   (ms) Added 'utf8' option to screen appender and easy mode, some of
             it suggested by Shantanu Bhadoria.
    +   (ms) is_xxx() returned true prior to L4p initialization. Fixed it
             and adapted test suite.
    +   (ms) Added test cases on syswrite in recreate mode
    +   (ms) Applied patch by Jens Berthold <log4perl@jebecs.de> to
             avoid semaphore cleanup in spawned children.
    +   (ms) Added %m{chomp} feature, 'message_chomp_before_newline' option,
             and documentation on newlines and logging messages, all
             suggested by Tim Bunce (see PatternLayout).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 13 May 2009 22:35:06 -0500

liblog-log4perl-perl (1.21-1) unstable; urgency=low

  * New upstream release.
    +   (ms) Documentation typos fixed, reported by Breno G. de Oliveira
             [rt.cpan.org #42428].
    +   (ms) Fixed DBI appender error message, bug reported by DavidZ.
    +   (ms) Fixed [rt.cpan.org #43740] reported by Martin Koehler. Now using
             proper POSIX return code EEXISTS instead of error message
             depending on English locale.
  * Only run unit tests when DEB_BUILD_OPTIONS does not contain
    nocheck. This brings us back in compliance with policy.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 06 Apr 2009 00:01:45 -0500

liblog-log4perl-perl (1.20-1) unstable; urgency=low

  * [385f9af]: Merge branch 'upstream'. New upstream release
    +   (ms) Using semctl to reset the value of the semaphore in the
             Synchronized appender to prevent "Numerical result out of
             range" problem caused by an unbalanced SEM_UNDO when
             incrementing it. Reported by John Little.
    +   (ms) Added parameters in curly braces to cspecs in PatternLayout.
    +   (ms) As explained in  http://rt.cpan.org/Ticket/Display.html?id=41505
             the latest LWP release (5.822) got rid of all of its internal
             debugging functions, making infiltrate_lwp() and its test
             case useless. Disabling it for LWP>=5.822.
 -- Manoj Srivastava <srivasta@debian.org>  Wed, 24 Dec 2008 11:26:14 -0600

liblog-log4perl-perl (1.19-1) unstable; urgency=low

  * [85b445d] Update watch file to look at CPAN.
  * New upstream release
    *   (ms) Applied patch by Peter Rabbitson, which fixes the caller()
             level when calling get_logger() on a subclass of Log4perl.
    *   (ms) Added documentation on is_xxx() methods and clarified that
             it doesn't necessarily mean that a message gets logged if
             they're returning true (requested by Conway Allen via
             [rt.cpan.org #39085].
    *   (ms) Applied patch by Lee Johnson to appender_by_name() to allow
             for undefined appender names without issuing a warning,
             which was occurring with Catalyst::Log4perl.
    *   (ms) Added docs on numerical levels and level strings in
             Log::Log4perl::Level.
    *   (ms) Applied patch by Anthony Foiani for support of literal
             text in DateFormat format strings.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 24 Nov 2008 15:02:35 -0600

liblog-log4perl-perl (1.18-1) unstable; urgency=low

  * New upstream release
    * (ms) Added explanation that categories and loggers are the same
           thing (thanks to Rabbit).
    * (ms) Fixed t/053Resurrect to work with 5.005_03
    * (ms) Added preinit_callback function for init_and_watch()
    * (ms) Applied patch by Andy Grundman which speeds up is_LEVEL()
           calls by skipping unnecessary string concatenations
           (http://rt.cpan.org/Ticket/Display.html?id=38537).
    * (ms) Applied patch by Jae Gangemi addding a no_warning option to the
           socket appender
           (http://rt.cpan.org/Ticket/Display.html?id=34399).
    * (ms) Fixed test suite to run on Strawberry Perl on Win32.
    * (ms) Added 'l4p' as a valid prefix in configuration files (equal
           to 'log4j' and 'log4perl' now).
  * Updated Standards-Version: no changes.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 02 Sep 2008 21:49:20 -0500

liblog-log4perl-perl (1.16-1) unstable; urgency=low

  * New upstream release
    *   (ms) Changed appender destruction during cleanup to show warning
             messages thrown by destructors. Previously L4p ignored these
             messages which caused failed DB flushes to go unnoticed with
             the DB appender.
    *   (ms) Added explanation for Log4perl messages during global
             destruction to FAQ.
    *   (ms) Corrected 'Trapper' listing in FAQ, thanks to Christian Reiber.
    *   (ms) Applied patch by Mitchell Perilstein for 5.005it and the
             two-argument binmode() that 5.005 doesn't support.
             (http://rt.cpan.org/Ticket/Display.html?id=34051)
    *   (ms) Applied patch by Emmanuel Rodriguez (POTYL) doing away with
             hard-coded line numbers in 024WarnDieCarp.t to make it work
             cpan2rpm for building RPM packages
             (http://rt.cpan.org/Public/Bug/Display.html?id=35370)
    *   (ms) Fixed recreate_check_interval = 0 bug reported by
             Bill Moseley.
    *   (ms) Added 'header_text' parameter to the file appender to
             have it write a header every time it opens (or re-opens)
             a new log file (suggested by Steven Lembark).
  * Record the fact that this package's Debian development has moved to a
    git repository.
  * Converted to teh new streamlined target system.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 02 Jul 2008 21:49:20 -0500

liblog-log4perl-perl (1.15-2) unstable; urgency=low

  * Bug fix: "liblog-log4perl-perl: FTBFS with Perl 5.10: the empty
    /usr/lib/perl5 is gone", thanks to Niko Tyni. Closes: #467889

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 18 Mar 2008 18:02:14 -0500

liblog-log4perl-perl (1.15-1) unstable; urgency=low

  * New upstream release
    *   (ms) appender_thresholds_adjust() with a parameter of 0 now
             does nothing (requested by Oliver Koch).
    *   (kg) Added 'defer_connection' to Socket appender so it's more useful
             under Apache.
    *   (ms) [rt.cpan.org #32738] fixed caller_depth for error_warn()
             (reported by Felix Antonius Wilhelm Ostmann)
    *   (ms) [rt.cpan.org #32942] fixed get_logger() for subclassed Log4perl
             (reported by Felix Antonius Wilhelm Ostmann)

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 15 Feb 2008 14:13:57 -0600

liblog-log4perl-perl (1.14-1) unstable; urgency=low

  * New upstream release                         Closes: Bug#462751
    *   (ms) Fixed test suite bug which surfaced in Darwin because temporary
             files contain '++' which freaked out the sloppy regex match.
    *   (ms) Better handling of empty config files (reported by Robert Raisch)
    *   (ms) Rewrote the Synchronized appender to use semaphores exclusivly
             (got rid of IPC::Shareable).
    *   (ms) Added Log::Log4perl::Util::Semaphore for easy semop handling
    *   (ms) Fixed t/026FileApp.t to work on MSWin32.
    *   (ms) Another doc fix by Craig
    *   (ms) Applied Fedora 7 patches
    *   (ms) Added create_at_logtime option to file appender
    *   (ms) Added trace level color (yellow) in ScreenColoredLevels
             appender as suggested by Arvind Jayaprakash in
             https://sourceforge.net/tracker/index.php?
                 func=detail&aid=1791445&group_id=56939&atid=482388
    *   (ms) Added Log::Log4perl::Resurrector to resurrect commented-out
             Log4perl statements in all subsequently loaded modules (allows
             for deploying L4p-enabled CPAN modules without requiring L4p).
    *   (ms) Added ALWAYS easy mode macro (level=OFF)
    *   (ms) Fixed logconfess() frame level bug reported by Ali Mesdaq.
             Added test case.
    *   (ms) Added PatternLayout::Multiline code by Cory Bennett to
             render multiline messages.
    *   (ms) Added log level TRACE (lets through even more messages
             than DEBUG) (suggested by Craig).
    *   (ms) Added 'syswrite' flag to file appender to have it use
             'syswrite' instead of 'print', avoiding buffered or
             interleaving messages originating from different processes
             (thanks to Evan Miller).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 07 Feb 2008 17:12:15 -0600

liblog-log4perl-perl (1.10-1) unstable; urgency=low

  * New upstream release
    *   (ms) Applied test suite patch by Lars Thegler for
             ancient perl 5.005_03.
    *   (ms) Applied patch by Jeremy Bopp to fix test suite running
             under Cygwin.
    *   (ms) Fixed documentation bug in L4p:Appender::File,
             s/recreate_signal/recreate_check_signal. Thanks to
             Todd Chapman and Robert Jacobson for reporting this.
    *   (ms) Fixed init(), which now deletes any config file watchers
             left over from previous init_and_watch() calls. Reported
             by Andreas Koenig who saw sporadic errors in the test suite,
             thanks!
    *   (ms) Added $^S check to FAQ, as suggested by J. David Blackstone.
    *   (ms) Applied Robert Jacobson's patch for the "DDD" formatter
             in L4p::DateFormats, which now formats the day-of-year values
             numerically and precedes them with zeroes if necessary.
    *   (ms) Added %M{x} PatternLayout notation as requested by
             Ankur Gupta.
    *   (ms) Another Win32 test suite fix, no longer deleting an open
             file but moving it aside (rt.cpan:23520).
    *   (kg) Nikita Dedik pointed out that Saturday is missing from
             @Log::Log4perl::DateFormat::WEEK_DAYS
    *   (ms) Scott Cline noticed a potential problem with the DBI
             appender reconnection logic in 'buffered' mode. Applied
             a patch.
    *   (ms) Changed DBI reconnect logic to perform even if the DB
             is pingable again.
    *   (ms) Applied code by Valerio Valdez Paolini with modifications
             to PropertyConfigurator.pm to allow pulling values from
             the property configurator by path.
  * Added XS-VCS-Arch and XS-VCS-Browse to debian/control

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 18 Apr 2007 17:21:58 -0500

liblog-log4perl-perl (1.07-1) unstable; urgency=low

  * New upstream release
    *   (ms) Removed checks for unlink() in t/017Watch.t since they
             failed on win32.
    *   (ms) Fixed doc bug in Appender::File reported by Robert
             Jacobson.
    *   (ms) Added FAQ on why to use Log4perl and not another
             logging system on CPAN.
    *   (ms) Fixed %M, %L, etc. level in logcarp/cluck/croak/confess
             (thanks to Ateeq Altaf)
    *   (ms) Autocorrecting rootlogger/rootLogger typo
    *   (ms) Better warning on missing loggers in config sanity check

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Oct 2006 19:35:06 -0500

liblog-log4perl-perl (1.06-1) unstable; urgency=low

  * New upstream release
   * (ms) Applied patch by Robert Jacobson to fix day-of-year in
          DateFormat, which was off by one.
   * (ms) Added FAQ on syslog
   * (ms) umask values for the file appender are now also accepted
          in octal form (0xxx).
   * (ms) The file appender now accepts owner/group settings of
          newly created log files.
   * (ms) Fixed appender cleanup, a bug caused composite appenders
          to be cleaned up during global destruction, which caused an
   * (ms) Added recreate signal handler to L4p::Appender::File for
          newsyslog support. Two new FAQ entries on dealing with
          newsyslog and log files being removed by external apps.
   * (ms) L4p::Config::Watch no longer sets the global $SIGNAL_CAUGHT by
          default but uses an instance variable instead to prevent
          clobbering L4p's config and watch mechanism.
   * (ms) die() on undefined configuration (rt 18103 by justice8@wanadoo.fr)
   * (ms) Hugh Esco submitted a FAQ on where to put logfiles
   * (ms) Applied patch provided by Chia-liang Kao to suppress an error
          message and skip tests in the suite when DBI is missing.
          ugly segfault with the Synchronized appender on FreeBSD.

  * Bug fix: "liblog-log4perl-perl: new version (1.06)", thanks to Alec
    Berryman                                            (Closes: #378956).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Aug 2006 00:33:35 -0500

liblog-log4perl-perl (1.04-1) unstable; urgency=low

  * New upstream release
    *  (ms) If a conversion pattern was specified twice in a config
            file, the output was "ARRAY(0x804da00)" (bug reported by
            Bill Mason). Now, gobbling up property configurator values
            into an array is limited to appender properties and
            excludes the conversion pattern.
    *  (ms) Multiple calls to import (usually happens if 'use L4p' gets
            called twice within the same namespace) caused nasty warnings,
            bug reported by Greg Olszewski. Fixed by ignoring subsequent
            calls from the same package to import().
    *  (ms) Changed rendering of logdie/warn/cluck/croak/... messages
            to fix a bug reported by Martin J. Evans.
    *  (ms) Added a L4p::Appender::String appender to handle the
            rendering internally.
    *  (ms) Documentation patch by Matisse Enzer on increased/
            decreased log levels.
    *  (ms) Fixed stack trace level of logcarp()
    *  (ms) Carl Franks reported that the test suite failed on WinXP SP2
            because of a hardcoded /tmp - fixed by File::Spec->tempdir().
    *  (ms) Added reconnect_attempts and reconnect_sleep parameters to
            DBI appender.
    *  (ms) Bugfix for rt.cpan.org #17886 (tmp files in test suite)

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 13 Mar 2006 07:11:19 -0600

liblog-log4perl-perl (1.03-1) unstable; urgency=low

  * New upstream release
    * (ms) Some perl-5.6.1 installations have a buggy Carp.pm. Skipping
           4 test cases for these. Reported by Andy Ford and Matisse Enzer.
    * (ms) The DBI appender now reconnects on stale DB connections.
    * (ms) Fixed Win32 test bug as reported in
           http://rt.cpan.org/Ticket/Display.html?id=17436 by barbie.
           Instead of deleting a file still in use by an appender (which
           Windows doesn't like), the file gets now truncated.

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  7 Feb 2006 23:36:33 -0600

liblog-log4perl-perl (1.02-2) unstable; urgency=low

  * liblog-log4perl-perl: missing dependency on libipc-shareable-perl
    Appender/Synchronized.pm from the liblog-log4perl-perl package uses
    IPC::Shareable which is contained in libipc-shareable-perl. Thanks to
    radu@studentenwerk.mhn.de                                  (Closes: #349486)

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Jan 2006 10:36:43 -0600

liblog-log4perl-perl (1.02-1) unstable; urgency=low

  * New upstream release
   + (ms) Adapted t/006Config-Java.t to cope with Win32 path separators
   + (ms) Corrected typo in Chainsaw FAQ, reported by Bernd Dirksen.
   + (ms) Brian Edwards noticed that (Screen, File) were missing a
          base class declaration, causing $logger->add_appender() to
          fail. Fixed with test case.
   + (ms) Log::Log4perl::Appender::File now handles the case where the
          logfile suddenly disappears.
   + (ms) Fixed section indentation in main man page
   + (ms) Converted Ceki's last name to UTF-8 (a historic step!)

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 30 Dec 2005 13:51:04 -0600

liblog-log4perl-perl (1.01-1) unstable; urgency=low

  * New upstream release.  Excerpted changes:
    * (ms) Added 'utf8' and 'binmode' flags to Log::Log4perl::Appender::File
           per suggestion by Jonathan Warden.
    * (ms) Made test cases 003Layout.t and 033UsrCspec.t resilient against
           broken ActiveState 5.8.4 and 5.8.7.
    * (ms) Skipped failing test cases for 5.005, looks like the caller() level
           in carp() is wrong, but not worth fixing.
    * (ms) Fixed the bug with the caller level of the first
           log message sent after init_and_watch() detected a change. Added
           test case to 027Watch2.t.
    * (ms) Added FAQ on UTF-8.
    * (ms) Applied patch by David Britton, improving performance during
           the init() call.
    * (ms) Fixed bug https://rt.cpan.org/Ticket/Display.html?id=14776
           to prevent it from modifying $_. Thanks to Steffen Winkler.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 23 Oct 2005 17:23:03 -0500

liblog-log4perl-perl (1.00-1) unstable; urgency=low

  * New upstream release.  Excerpted changes:
    * (ms) Added tag qw(:no_extra_logdie_message) to suppress duplicate
           die() messages in scripts using simple configurations and LOGDIE().
           Added logexit() as an alternative way.
    * (ms) Fixed bug with logcarp/croak/cluck, which were using the
           wrong Carp level.
    * (kg) Fixing bug in Appender::Limit regarding $_ scope
    * (ms) corrected typo in Synchronized.pm found by Rob Redmon.
    * (ms) Fixed bug with Appender::File reported by Michael Smith. Checking
           now if print() succeeds, catching errors with full disks and
           ulimit'ed environments.
    * (ms) Added LOGCARP(), LOGCLUCK(), LOGCONFESS(), LOGCROAK() macros
           in :easy mode (suggested by Jud Dagnall).
    * (ms) $INITIALIZED now gets reset during logger cleanup.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 20 Aug 2005 10:40:39 -0500

liblog-log4perl-perl (0.52-1) unstable; urgency=low

  * New upstream release.  Excerpted changes:
    * (ms) Jonathan Manning <jmanning@alisa-jon.net> provided a patch
           for DateFormat.pm to fix 3-letter month abbreviations and a
           shortcut to simulate Apache's log format.
    * (kg) Ola Finsbraaten provided a patch to provide a better error
           message when a logger is defined twice in a config.

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  3 Jun 2005 16:10:54 -0500

liblog-log4perl-perl (0.51-1) unstable; urgency=low

  * New upstream release.  Excerpted changes:
    * (ms) Jon Bjornstad noticed that the file appender wasn't including
           $! in the die() exception thrown if open_file() fails. Added it.
    * (ms) Added umask option to file appender
    * (ms) Fix to L4p::Util::module::available() for Win32
           compliance by Roger Yager <roger.yager@eyestreet.com>
    * (ms) Added check to L4p::Util::module_available() returning true
           if the pm file is available in %INC, indicating that it has
           already been loaded. This fixes a problem when running L4p
           in a PAR binary.
    * (ms) Added remove_appender() and eradicate_appender() method to
           Logger.pm, test cases and documentation on the main Log4perl
           page.
    * (ms) Added a generic buffered composite appender, L4p::Appender::Buffer,
           buffering messages until a trigger condition is met.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 12 Jan 2005 13:21:10 -0600

liblog-log4perl-perl (0.50-1) unstable; urgency=low

  * New upstream release. Excerpted changes:
    * (ms) Added ':resurrect' source filter, which uncomments all lines
           starting with "###l4p". Can be used for hidden L4p statements,
           which are then activated by calling
           'use Log::Log4perl qw(:resurrect)'.
    * (ms) Fixed Win32 test suite bug: File::Spec->catfile() returns '/'
           as a path separator on both Unix and Win32, while Log4perl's
           layouts (derived from caller() info) use '\' on Win32 and '/'
           on Unix. Changed tests to only verify file name, not path.
    * (ms) Added 'appender_by_name()' to retrieve an appender defined
           in the configuration file by name later.
    * (ms) Added FAQ on "stubbing out" L4p macros in environments
           that don't have L4p installed.
    * (ms) Added convenience function appender_thresholds_adjust() to adjust
           thresholds of chosen (or all) appenders
    * (ms) Got rid of Test::Simple dependency
    * (ms) Moved autoflush setting in L4p::Appender::File from log()
           to file_open(), running only once, not with every message.
    * (ms) Applied doc fixes suggested by Jon Bjornstad.
    * (ms) Added ScreenANSIColor appender to colorize messages based on
           their priority. See Log::Log4perl::Appender::ScreenANSIColor.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  8 Dec 2004 10:26:18 -0600

liblog-log4perl-perl (0.49-1) unstable; urgency=low

  * New upstream release. Excerpted changes:
    * (ms) init_and_watch() no longer die()s on reloading syntactically
           wrong configuration files but issues a warning and then
           reloads the last working config.
    * (ms) init() now also accepts an open file handle (passed in as a
           glob) to a configuration file or a ref to an IO::File object.
    * (ms) Jos I. Boumans <kane@xs4all.net> and
           Chris Winters <chris@cwinters.com> reported an error thrown
           by L4p in their app SPOPS: During global construction. Looks
           like the Logger object's internal hash is cleared and then
           the is_<level> method gets called, resulting in a runtime
           exception. Added proposed remedy checking if the called
           method is defined by ref.
    * (ms) Added check to init_and_watch if obtaining the mod
           timestamp failed.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  8 Nov 2004 17:29:07 -0600

liblog-log4perl-perl (0.48-1) unstable; urgency=low

  * New upstream release. Excerpted changes:
    * (ms) fixed bug reported by Chip Salzenberg <chip@pobox.com>: logdie()
           and logwarn() are now compliant with the warn() and die()
           standard which suppresses the "at file line x" message if
           the message ends with a "\n".
    * (ms) New interface for custom config parsers.
           Log::Log4perl::Config::BaseConfigurator now provides a base class
           for new config parsers. Init can now be called like
           Log::Log4perl->init($parser) with a parser object, which is
           derived from Log::Log4perl::Config::BaseConfigurator and
           provides a parse() method (no arguments). The file (or whatever)
           to be parsed can be set by calling $parser->text(\@lines) or
           $parser->file($name) before calling L4p->init($parser).
           The Property, DOM and LDAP configurators have been
           adapted, check their implementation for details.
    * (ms) Added integrity check for Log4perl configurations: Log4perl
           now issues a warning if a configuration doesn't define any
           appenders. Should anyone not like this, it can be turned
           off by setting $L4p::Config::CONFIG_INTEGRITY_CHECK = 0
           before calling init().
    * (ms) Fixed bug reported by Johannes Kilian <jok@vitronic.com>
           with __DIE__ handler and "PatternLayout" shortcut. Replaced
           'eval { require ... }' by L4p::Util::module_available in
           L4p::Config.pm.
    * (ms) Did away with $IS_LOADED internal variable.
    * (ms) Fixed bug with L4p::INITIALIZED vs. L4P::Logger::INITIALIZED,
           added t/020Easy2.t.
    * (ms) Added adm/cvskwexp script to check if we're running into CVS
           trouble because of <dollar>Log keyword expansion.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 30 Sep 2004 15:47:45 -0500

liblog-log4perl-perl (0.47-1) unstable; urgency=low

  * New upstream release. Excerpted changes:
     * (ms) Added suggestion by Hutton Davidson <Davidson.Hutton@ftid.com>
            to make the socket appender more forgiving. New option
            "silent_recovery" will silently ignore errors and recover
            if possible on initiallly dead socket connections.
     * (ms) Fixed bug with initialized() -- checking once caused
            subsequent calls to return true.
     * (ms) run t/045Composite.t only if Storable is installed -- earlier
            perl versions (like 5.6.1) don't have it by default.
     * (ms) fixed test case in t/020Easy.t for buggy perl 5.6.1
     * (ms) added Log::Log4perl::infiltrate_lwp() to make LWP::UserAgent
            play in the L4p framework upon request.
     * (ms) perl 5.00503 mysteriously core dumps in t/017Watch.t, seems like
            this was introduced in 0.46. Disabled these tests for now
            if we're on 5.00503 to avoid installation hickups. Longer term,
            need to investigate.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 13 Aug 2004 18:54:34 -0500

liblog-log4perl-perl (0.46-1) unstable; urgency=low

  * New upstream release.  Please look at the Changes file for
    details. This is a maintenance (bug fixing) upgrade.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 21 Jun 2004 11:21:15 -0500

liblog-log4perl-perl (0.43-2) unstable; urgency=low

  * Bug fix: "liblog-log4perl-perl: Missing Suggests for
    liblog-dispatch-perl", thanks to Loic Minier (Closes: #244653).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Apr 2004 15:37:59 -0500

liblog-log4perl-perl (0.43-1) unstable; urgency=low

  * New upstream release. Excerpted changes:
    * (ms) Applied patch by Markus Peter <warp@spin.de> for 'pipe'
           mode in Log::Log4perl::Appender::File
    * (ms) Added composite appender Log::Log4perl::Appender::Limit to
           limit message delivery to adjustable time windows.
    * (ms) Fixed last 033UsrCspec.t test case to run on Win32 as well
           (path fixed).
    * (ms) Lars Thegler <lars@thegler.dk> provided a patch to keep
           compatibility with 5.005_03.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  1 Apr 2004 22:50:51 -0600

liblog-log4perl-perl (0.42-1) unstable; urgency=low

  * New upstream version. Excerpted changes:
     * (kg) added filters to XML DOMConfig and DTD
     * (ms) Fixed caller level to cspecs by adding one
     * (ms) Added init_once() and documentation
     * (ms) Worked around the perl bug that triggers __DIE__ handlers
            even if die() occurs within an eval(). So if you did
              BEGIN { $SIG{__DIE__} = sub { print "ouch!"; die }; }
              use Log::Log4perl;
            and Time::HiRes wasn't available, the
              eval { require Time::HiRes }
            in PatternLayout.pm triggered the __DIE__ handler. Now there's
            a function module_available() in L4p::Util to check if a
            module is installed.
     * (ms) Fixed %M cspec in PatternLayout in case a logging
            method is called within one (or more) eval {} block(s).
            caller(n+m) will be called repeatedly if necessary
            to get the next real subroutine. Anonymous subroutines will
            still be called __ANON__, but this can be overridden by
            defining
                local *__ANON__ = "subroutine_name";
            in them explicitely (thanks, Perlmonks :).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Feb 2004 21:44:12 -0600

liblog-log4perl-perl (0.41-1) unstable; urgency=low

  * New upstream release. Excerpted changes:
      * (ms) Applied documentation update for Synchronized appender, suggested
        by David Viner <dviner@yahoo-inc.com>
      * (ms) Added option to Log::Log4perl::Layout::PatternLayout to
        enable people to provide their own timer functions.


 -- Manoj Srivastava <srivasta@debian.org>  Wed, 24 Dec 2003 10:29:24 -0600

liblog-log4perl-perl (0.40-1) unstable; urgency=low

  * New upstream release. This contains a number of bug fixes. Excerpted
    changes:
    * (ms) Added file_open(), file_close() and file_switch() to
      l4p::Appender::File
    * (ms) Added logic for 'composite appenders'. Appenders can now be
      configured to relay messages to other appenders. Added
      Log::Log4perl::Appender::Synchronized, an appender guaranteeing
      atomic logging of messages via semaphores.
    * (ms) Added basic substitution to PropertyConfigurator. Now you can
      define variables (like in "name=value") and subsequent patterns
      of "${name}" will be replaced by "value" in the configuration file.
    * (kg) Followed Mike's lead and added variable substitution to the
      DOMConfigurator.
    * (ms) Added Log::Log4perl::Appender::Socket as a simple Socket
      appender featuring connection recovery.
    * (ms) added %T to PatternLayout as a stack traced as suggested by
      Brett Rann <brettrann@mail.com>.
    * (ms) Added signal handling to init_and_watch
    * (ms) renamed l4p-internal DEBUG constant to avoid confusion with
      DEBUG() and $DEBUG as suggested by Jim Cromie <jcromie@divsol.com>.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 13 Dec 2003 11:14:39 -0600

liblog-log4perl-perl (0.36-1) unstable; urgency=low

  * Initial Install

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  2 Aug 2003 11:30:23 -0500
